/* -*- mode: c++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/*
 Copyright (C) 2003, 2004, 2005, 2006 StatPro Italia srl

 This file is part of QuantLib, a free-software/open-source library
 for financial quantitative analysts and developers - http://quantlib.org/

 QuantLib is free software: you can redistribute it and/or modify it
 under the terms of the QuantLib license.  You should have received a
 copy of the license along with this program; if not, please email
 <quantlib-dev@lists.sf.net>. The license is also available online at
 <http://quantlib.org/reference/license.html>.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the license for more details.
*/

#ifndef quantlib_instruments_all_hpp
#define quantlib_instruments_all_hpp

#include <ql/qldefines.hpp>
#include <ql/Instruments/core.hpp>

#include <ql/Instruments/barrieroption.hpp>
#include <ql/Instruments/basketoption.hpp>
#include <ql/Instruments/bond.hpp>
#include <ql/Instruments/capfloor.hpp>
#include <ql/Instruments/cliquetoption.hpp>
#include <ql/Instruments/compositeinstrument.hpp>
#include <ql/Instruments/convertiblebond.hpp>
#include <ql/Instruments/dividendvanillaoption.hpp>
#include <ql/Instruments/europeanoption.hpp>
#include <ql/Instruments/fixedcouponbond.hpp>
#include <ql/Instruments/fixedcouponbondforward.hpp>
#include <ql/Instruments/floatingratebond.hpp>
#include <ql/Instruments/forward.hpp>
#include <ql/Instruments/forwardrateagreement.hpp>
#include <ql/Instruments/forwardvanillaoption.hpp>
#include <ql/Instruments/lookbackoption.hpp>
#include <ql/Instruments/multiassetoption.hpp>
#include <ql/Instruments/oneassetoption.hpp>
#include <ql/Instruments/oneassetstrikedoption.hpp>
#include <ql/Instruments/quantoforwardvanillaoption.hpp>
#include <ql/Instruments/quantovanillaoption.hpp>
#include <ql/Instruments/vanillaswap.hpp>
#include <ql/Instruments/stock.hpp>
#include <ql/Instruments/swap.hpp>
#include <ql/Instruments/swaption.hpp>
#include <ql/Instruments/vanillaoption.hpp>
#include <ql/Instruments/varianceswap.hpp>
#include <ql/Instruments/zerocouponbond.hpp>


#endif
